Loading...
Searching...
No Matches
AVDeviceInfo Struct Reference
libavdevice

Structure describes basic parameters of the device. More...

`#include <libavdevice/avdevice.h>`

## Data Fields

char * | device_name
| device name, format depends on device
char * | device_description
| human friendly name
enum AVMediaType * | media_types
| array indicating what media types(s), if any, a device can provide.
int | nb_media_types
| length of media_types array, 0 if device cannot provide any media types

## Detailed Description

Structure describes basic parameters of the device.

Definition at line 333 of file avdevice.h.

## Field Documentation

## device_name

char* AVDeviceInfo::device_name

device name, format depends on device

Definition at line 334 of file avdevice.h.

## device_description

char* AVDeviceInfo::device_description

human friendly name

Definition at line 335 of file avdevice.h.

## media_types

enum AVMediaType* AVDeviceInfo::media_types

array indicating what media types(s), if any, a device can provide.

If null, cannot provide any

Definition at line 336 of file avdevice.h.

## nb_media_types

int AVDeviceInfo::nb_media_types

length of media_types array, 0 if device cannot provide any media types

Definition at line 337 of file avdevice.h.

The documentation for this struct was generated from the following file:

- libavdevice/avdevice.h